
Figure - Bug #119158
【AF】【PVT】【Monkey】131版本Monkey测试40小时后异常停止
2023-08-09 10:52 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-08-09

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0131.C107(X105)

Resolution: WONTFIX Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 问题来源于安装的三方应用咪咕视频����当跑monkey时，咪咕视频预计是进行了后台下发了热修复之类的操作。��导致monkey启动它后，直接进行了热修复升级，并且在这个流程中报错了，��连带影响了monkey，造成了monkey的报错中止.����这个问题属于第三方的偶发事件.����不需要处理，另外，在跑monkey确保所装的三方应用都是最新版本，应当可以减少出现此情况的概率.

Description

测试步骤：

8.7晚上6点开始跑Monkey，VC1设备版本为release的131版本

【测试命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

测试结果：8.9早上停止，跑测约40小时

History

#1 - 2023-08-09 10:55 - CDTS_TEST 王成

日志地地：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/119158/119158

#2 - 2023-08-09 16:54 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to CD FW吴宇航

#3 - 2023-08-09 19:44 - CD FW吴宇航

结论：

问题来源于安装的三方应用咪咕视频

当跑monkey时，咪咕视频预计是进行了后台下发了热修复之类的操作。

导致monkey启动它后，直接进行了热修复升级，并且在这个流程中报错了，

连带影响了monkey，造成了monkey的报错中止.

这个问题属于第三方的偶发事件.

不需要处理，另外，在跑monkey确保所装的三方应用都是最新版本，应当可以减少出现此情况的概率.

详细分析：

日志中，这里是关于monkey最后的信息日志：
08-08 21:02:56.896  4648  5017 V Monkey  : -------------xsmall monkey end-----------

08-08 21:02:56.910  1903  2666 I OpenGLRenderer: Davey! duration=9223372011225ms; Flags=0, FrameTimelineVsyncId=674, IntendedVsync=25629653219,

Vsync=25629653219, InputEventId=0, HandleInputStart=25630033268, AnimationStart=25630035612, PerformTraversalsStart=25630037435, DrawStart=25643499362,

FrameDeadline=25646319885, FrameInterval=25630027383, FrameStartTime=16666666, SyncQueued=25643672279, SyncStart=25643747435,

IssueDrawCommandsStart=25643894101, SwapBuffers=25644846393, FrameCompleted=9223372036854775807, DequeueBufferDuration=35521,

QueueBufferDuration=803802, GpuCompleted=9223372036854775807, SwapBuffersCompleted=25646505247, DisplayPresentTime=0, 

08-08 21:02:56.913  4648  5022 D TingYun : disable:false

08-08 21:02:56.914  4648  5022 I NBSAgent: NBSAgent start.

08-08 21:02:56.914  4648  5022 I NBSAgent: NBSAgent enabled.

08-08 21:02:56.914  4648  5022 I NBSAgent: NBSAgent V2.17.1.16

08-08 21:02:56.915  4648  4648 E AsyncDispatcher: mainTask:679ms

08-08 21:02:56.919  4648  5017 V Monkey  : SDK[MiguPush.Sdk.Lib.dat] exist,ready dynamic load

在这段日志中，明显可以看出是由于咪咕视频的库导致的monkey退出

08-08 21:02:56.919  4648  5017 V Monkey  : SDK[MiguPush.Sdk.Lib.dat] exist,ready dynamic load

往上追溯日志

08-08 21:02:56.545  4648  4999 E AsyncDispatcher: working2:311ms

08-08 21:02:56.552  4648  5053 D 插件加载流程[PCM]: 接口请求配置文件

，url=https://app-sc.miguvideo.com/app-management/v2/staticcache/plugins/by-appversion/miguvideo/android/2600010300/1

08-08 21:02:56.568  4648  5021 I MMKV    : <MMKV_IO.cpp:130::loadFromFile> loaded [SPHelper] with 17808 key-values

08-08 21:02:56.626  4648  5019 I MGMediaFactory: load player sdk libs suc

08-08 21:02:56.667  4648  5019 E AsyncDispatcher: working3:429ms

08-08 21:02:56.679  4648  5041 D NetworkReporterImpl: nextRequestId

08-08 21:02:56.681  4648  5042 D NetworkReporterImpl: nextRequestId

08-08 21:02:56.681  4648  5061 D NetworkReporterImpl: nextRequestId

08-08 21:02:56.682  4648  5021 E AsyncDispatcher: working5-initConfig-loadFromCache:430

08-08 21:02:56.685  4648  5021 E AsyncDispatcher: working5 - initConfig:439ms

08-08 21:02:56.712  4648  5021 D com.robust.RobustController: isSync: false 开始获取热更

可以看到，应用进行了热更新，热修复。并且可以明确其使用的美团提供的热修复方案（com.robust.RobustController）

再往上

08-08 21:02:55.601  4648  4648 D com.robust.RobustController: RobustController: APP 版本号 = 250006572 未找到对应的热修

08-08 21:02:55.601  4648  4648 E RobustController: duration(ms)：59

08-08 21:02:55.601  4648  4648 E MGApplication: robustLog: 热修前

可以明确是咪咕视频启动了热修复。

并且由于热修复的底层报错，连带了monkey报错中止.

#4 - 2023-08-09 19:45 - CD FW吴宇航

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW吴宇航 to CDTS_TEST 王成

- Resolution changed from -- to WONTFIX

- Root cause set to 问题来源于安装的三方应用咪咕视频

当跑monkey时，咪咕视频预计是进行了后台下发了热修复之类的操作。

导致monkey启动它后，直接进行了热修复升级，并且在这个流程中报错了，

连带影响了monkey，造成了monkey的报错中止.

这个问题属于第三方的偶发事件.
不需要处理，另外，在跑monkey确保所装的三方应用都是最新版本，应当可以减少出现此情况的概率.

#5 - 2023-08-24 16:19 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

#6 - 2023-08-24 16:19 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#7 - 2023-08-24 16:20 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
